@font-face {
  font-family: "Source Sans Pro";
  src: url("SourceSansPro-Regular.ttf");
  font-style: normal;
  font-weight: normal;
}

*{
  margin: 0;
  padding: 0;
  box-sizing: border-box;
  text-decoration: none;
  font-family: "Source Sans Pro", sans-serif;
}

body{
  background: #f6f6f6;
}

header{
  position: fixed;
  top: 0;
  left: 0;
  width: 100%;
  height: 80px;
  background: #fff;
  box-shadow: 0 4px 25px -22px black;
  z-index: 10;
}

.header-content{
  max-width: 1200px;
  margin: auto;
  display: flex;
  justify-content: space-between;
  position: relative;
}

.logo{
  height: 80px;
  display: flex;
  justify-content: center;
  align-items: center;
}

.logo h1 b{
  color: #46a2fd;
}

.menu{
  height: 80px;
  margin-right: 60px;
}

.menu nav{
  height: 100%;
}

.menu nav ul{
  height: 100%;
  display: flex;
  list-style: none;
}

.menu nav ul li{
  height: 100%;
  margin: 0px 20px;  /* aquí supuestamente era "cero porciento" */
  display: flex;
  justify-content: center;
  align-items: center;
  position: relative;
}

.menu-selected:before{
  content: '';
  width: 100%;
  height: 4px;
  background: #46a2fd;
  position: absolute;
  top: 0;
  left: 0;
}

.menu nav ul li a{
  color: #777777;
  font-size: 18px;
  transition: color 300ms;  /* esto estaba en la clase siguiete*/
}

.menu nav ul li a:hover{
  color: #46a2fd;
}

.menu /*nav ul li*/ .text-menu-selected{  /* lo comentado estaba primero */
  color: #46a2fd;
}

.menu nav ul li a .ic{
  display: none;
}

#icon-menu{
  width: 50px;
  height: 50px;
  position: absolute;
  right: 20px;
  top: 16px;
  padding: 10px;
  font-size: 35px;
  background: #fafafafa;
  border-radius: 100%;
  color: #787878;
  display: none;  /* iba 'flex' orginalmente */
  justify-content: center;
  align-items: center;
  cursor: pointer;
  /*display: none;*/
}

#icon-menu:hover{
  /*opacity: 0.8;  puede ir esto también */
  background: #f2f2f2f2;
}



/* Buscador de contenido */

#ctn-icon-search{
  position: absolute;
  right: 20px;
  height: 100%;
  display: flex;
  justify-content: center;
  align-items: center;
}

#ctn-icon-search p{
  font-size: 18px;
  color: #777777;
  cursor: pointer;
  transition: all 300ms;
}

#ctn-icon-search p:hover{
  color: #46a2fd;
}

#ctn-bars-search{
  position: fixed;
  top: -10px;
  width: 100%;
  background: #fff;
  padding: 20px;
  z-index: 9;
  transition: all 600ms;
}

#ctn-bars-search input{
  display: block;
  width: 1200px;
  margin: auto;
  padding: 10px;
  font-size: 18px;
  outline: 0;
}

#box-search{
  position: fixed;
  top: 165px;
  left: 50%;
  transform: translateX(-50%);
  width: 1200px;
  background: #fff;
  z-index: 8;
  overflow: hidden;
  display: none;
}

#box-search li a{
  display: block;
  width: 1200px;
  color: #777777;
  padding: 12px 20px;
  word-spacing: 8px;
}

#box-search li a:hover{
  background: #f3f3f3;
}

#cover-ctn-search{
  width: 100%;
  height: 100%;
  position: fixed;
  left: 0;
  background: rgba(0, 0, 0, 0.5);
  z-index: 7;
  display: none;
}



/* Botón de ir arriba */

#button-up{
  width: 60px;
  height: 60px;
  background: #46a2fd;
  display: flex;
  justify-content: center;
  align-items: center;
  color: white;
  border-radius: 50%;
  font-size: 26px;
  position: fixed;
  bottom: 50px;
  right: 50px;
  cursor: pointer;
  border: 4px solid transparent;
  transition: all 300ms ease;
  transform: scale(0);
}

#button-up:hover{
  transform: scale(1.1);
  border-color: rgba(0, 0, 0, 0.1);
}



/* Footer - pie de página */

.container-footer{
  width: 100%;
  padding: 40px 0;
  background: #fff;
  margin-top: 40px;
}

.container-footer footer{
  max-width: 1200px;
  margin: auto;
}

.container-footer footer .logo-footer{
  text-align: center;
}

.container-footer footer .logo-footer img{
  width: 100px;
}

.container-footer footer .redes-footer{
  display: flex;
  justify-content: center;
  margin-top: 20px;
}

.container-footer footer .redes-footer .icon-redes-footer{
  font-size: 26px;
  font-weight: 800;
  margin: 20px;
  background: #efefef;
  width: 50px;
  height: 50px;
  display: flex;
  justify-content: center;
  align-items: center;
  border-radius: 100%;
  color: #a2a2a2;
}

.container-footer .redes-footer .fb:hover{
  background: #41579A;
  color: #fff;
}

.container-footer .redes-footer .ig:hover{
  background: linear-gradient(to top right, #fcde30, #e9712a, #d2313b, #ae4198, #7540a1, #5443a8);
  color: #fff;
}

.container-footer .redes-footer .wp:hover{
  background: #25d366;
  color: #fff;
}

.container-footer footer hr{
  margin-top: 20px;
  border: none;
  height: 2px;
  background: #c0c0c07a;
}

.container-footer h4{
  text-align: center;
  margin-top: 40px;
  color: #8e8e8e;
  font-weight: 500;
}



/* Responsive Design - adaptable a dispositivos móviles */

@media screen and (max-width: 1220px){
  .header-content,
  .container-footer footer{
    max-width: 1000px;
    padding: 0px 20px;
  }

  #ctn-bars-search,
  #ctn-bars-search input,
  #box-search{
    width: 100%;
  }
}

@media screen and (max-width: 800px){
  body{
    overflow-x: hidden;
  }

  .container-all{
    transition: all 300ms cubic-bezier(1,0,0,1);
  }
  
  .move-container-all{
    transform: translateX(300px);
  }

  .menu{
    width: 0px;
    height: 100vh;
    position: fixed;
    top: 80px;
    left: 0;
    background: #fff;
    overflow: hidden;
    transform: translateX(-350px);
    box-shadow: 10px 0 20px -25px black;
    transition: all 300ms cubic-bezier(1,0,0,1);
  }

  .show-lateral{
    width: 300px;
    transform: translateX(0px);
  }

  .menu nav ul{
    flex-direction: column;
  }

  .menu nav ul li{
    max-width: 200px;
    height: 50px;
    justify-content: flex-start;
  }

  .menu-selected:before{
    width: 0;
  }

  .menu nav ul li a{
    margin-top: 40px;
    color: #858585;
  }

  .menu nav ul li a .ic{
    width: 20px;
    font-weight: bold;
    display: inline-block;
    margin-right: 10px;
    color: #46a2fd;
  }

  #icon-menu{
    display: flex;
    right: 60px;
  }

  .container-aside{
    flex-wrap: wrap;
  }
}